Page MenuHomePhabricator

Adjust link preview prototype 1
Closed, ResolvedPublic

Description

Vibha provide the following feedback on https://gerrit.wikimedia.org/r/#/c/202615/8 (PS 8).

Quick Fixes:

  1. Remove the X button, dismiss behavior is fine.
  2. Type size is small, needs to go up at least 2 points.
  3. Proportions in the card: The image width could reduce by 20 pixels. Release that area for the left text column.

Other

  1. Tapping anywhere within the card (including title link) should take you to the article.
  2. Swiping down should dismiss the card
  3. Swiping up should transition to the article
  4. No scroll bars should be seen in the left area. Go to Claude Debussy > Tap on impressionist music.

Bugs:

  • Ancient Egypt > Tap on Nile link

This one is missing too much text. We should start counting the periods after it ran through the removal of parentheses.

Details

Related Gerrit Patches:
apps/android/wikipedia : masterLink previews (prototype 1 + feature flags)

Event Timeline

bearND created this task.Apr 14 2015, 7:24 PM
bearND claimed this task.
bearND raised the priority of this task from to Medium.
bearND updated the task description. (Show Details)
bearND added a subscriber: bearND.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2015, 7:24 PM
bearND set Security to None.
bearND moved this task from Needs Triage to Current Sprint on the Wikipedia-Android-App-Backlog board.

Change 202615 had a related patch set uploaded (by BearND):
[WIP] Link previews (prototype 1)

https://gerrit.wikimedia.org/r/202615

@Vibhabamba: Here is an updated apk of prototype 1

DONE:

  • Removed the X button
  • Increased type size for page text extract to 16sp
  • 60/40 proportion for page text extract vs. image
  • Tapping anywhere within the card (including title link) takes you to the page
  • No scroll bars should be seen in the left area

Still TODO:

  • Bring back scrolling of extract text.
  • Swipe up: go to page
  • Swipe down: dismiss

Also wanted to mention that I consider the bug (preview missing text) not critical to the user testing. This one can wait until later IMO.

Vibhabamba added a comment.EditedApr 18 2015, 12:45 AM

@bearND downloaded. thank you. This comment date is correct as we discussed.

@bearND @Dbrant
In the most current prototype, the actual width of the image area is decreasing with the animation.
The image area must be fixed, the animation needs to occur within that area.

This comment was removed by Vibhabamba.
  • Tapping anywhere within the card needs to go to the article.
  • Ken burns zoom for preview cards needs to be reduced to 50% of current value.

Here's the updated apk from @Dbrant:

and his comments from email:

"I was able to implement the sentence manipulation that we discussed, namely: display only one sentence by default, but if the first sentence is shorter than four lines, then append the second sentence.

I also added simple swipe gestures to the card: swipe down to dismiss, and swipe up to go to the article. The problem is that the card itself doesn't "follow" the swipe motion dynamically, so we may have to invent something more elaborate if we really want the swipe interaction to work."

I wonder if we should drop the Ken Burns effect for the preview. Having this extra animation in addition to the animation of the dialog itself moving up seems pretty jarring to me, and distracts from a quick lookup.

Vibhabamba added a comment.EditedApr 22 2015, 6:19 PM

List of tweaks based on Dmitry updated text display patch:

Prototype 1:
With the limited text we are generating (per Dmitry's script from yesterday), height of the overall card can reduce by 20%
Right margin increase by 10 px
Title area height increase by 20 px
Tapping anywhere on the card takes you to the target article

Prototype 2:
Use a 20% black opacity behind the text (Between text and image)
Increase type size (and leading) by 4 points.
We could eliminate the ken burns effect from this version.

Mholloway reassigned this task from Mholloway to bearND.Apr 24 2015, 5:19 PM

@Vibhabamba:

"Tapping anywhere on the card takes you to the target article"

Was already done. Or where does it not work?

Here are a few screenshots of the changes in prototype 1:

@bearND how might I download the new apk files?

Just uploaded; here:

bearND reassigned this task from bearND to Dbrant.Apr 27 2015, 8:56 PM

Change 202615 merged by jenkins-bot:
Link previews (prototype 1 feature flags)

https://gerrit.wikimedia.org/r/202615

Prototype is ready for research.
Signed off by design.